eID middleware |

# eIDMW::PTEID_EIDCard Class Reference

This class represents a Portugal EID card. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_EIDCard:

List of all members.

## Public Member Functions
virtual PTEIDSDK_API | ~PTEID_EIDCard ()
| Destructor.
virtual PTEIDSDK_API bool | isTestCard ()
| Return true this is a test card.
virtual PTEIDSDK_API bool | getAllowTestCard ()
| Return true if test card are allowed.
virtual PTEIDSDK_API void | setAllowTestCard (bool allow)
| Set the flag to allow the test cards.
virtual PTEIDSDK_API PTEID_XMLDoc & | getDocument (PTEID_DocumentType type)
| Return a document from the card.
PTEIDSDK_API PTEID_EIdFullDoc & | getFullDoc ()
| Get the full document.
PTEIDSDK_API PTEID_EId & | getID ()
| Get the id document.
PTEIDSDK_API PTEID_Address & | getAddr ()
| Get the Address document.
PTEIDSDK_API PTEID_Sod & | getSod ()
| Get the sod document.
PTEIDSDK_API PTEID_CardVersionInfo & | getVersionInfo ()
| Get the info document.
PTEIDSDK_API PTEID_Certificate & | getCert (PTEID_CertifType type)
| Return certificate by type from the card.
PTEIDSDK_API PTEID_Certificate & | getRoot ()
| Return the root certificate from the card.
PTEIDSDK_API PTEID_Certificate & | getCA ()
| Return the ca certificate from the card.
PTEIDSDK_API PTEID_Certificate & | getSignature ()
| Return the signature certificate from the card.
PTEIDSDK_API PTEID_Certificate & | getAuthentication ()
| Return the authentication certificate from the card.
virtual PTEIDSDK_API const PTEID_ByteArray & | getRawData (PTEID_RawDataType type)
| Return a raw data from the card.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_Id ()
| Get the Id RawData.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_IdSig ()
| Get the IdSig RawData.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_Trace ()
| Get the Trace RawData.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_Addr ()
| Get the Addr RawData.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_AddrSig ()
| Get the AddrSig RawData.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_Sod ()
| Get the Sod RawData.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_CardInfo ()
| Get the Card Info RawData.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_TokenInfo ()
| Get the Token Info RawData.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_Challenge ()
| Get the challenge RawData.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_Response ()
| Get the response RawData.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_PersoData ()
| Get the response RawData.
## Static Public Member Functions
static PTEIDSDK_API bool | isApplicationAllowed ()
| Return true if the user allow the application.
## Protected Member Functions
| PTEID_EIDCard (const SDK_Context *context, APL_Card *impl)
| For internal use : Constructor.
## Friends
PTEID_Card & | PTEID_ReaderContext::getCard ()
| For internal use : This method must access protected constructor.

## Detailed Description

This class represents a Portugal EID card.

To get such an object you have to ask it from the ReaderContext.

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_EIDCard::~PTEID_EIDCard | ( |  | ) | `[virtual]`

Destructor.

eIDMW::PTEID_EIDCard::PTEID_EIDCard | ( | const SDK_Context * | context,
|  | APL_Card * | impl |
| ) |  |  | `[protected]`

For internal use : Constructor.

## Member Function Documentation

PTEIDSDK_API PTEID_Address& eIDMW::PTEID_EIDCard::getAddr | ( |  | ) |

Get the Address document.

virtual PTEIDSDK_API bool eIDMW::PTEID_EIDCard::getAllowTestCard | ( |  | ) | `[virtual]`

Return true if test card are allowed.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_EIDCard::getAuthentication | ( |  | ) |

Return the authentication certificate from the card.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_EIDCard::getCA | ( |  | ) |

Return the ca certificate from the card.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_EIDCard::getCert | ( | PTEID_CertifType | type | ) |

Return certificate by type from the card.

virtual PTEIDSDK_API PTEID_XMLDoc& eIDMW::PTEID_EIDCard::getDocument | ( | PTEID_DocumentType | type | ) | `[virtual]`

Return a document from the card.

Throw PTEID_ExDocTypeUnknown exception if the document doesn't exist for this card.

Implements eIDMW::PTEID_Card.

PTEIDSDK_API PTEID_EIdFullDoc& eIDMW::PTEID_EIDCard::getFullDoc | ( |  | ) |

Get the full document.

PTEIDSDK_API PTEID_EId& eIDMW::PTEID_EIDCard::getID | ( |  | ) |

Get the id document.

virtual PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData | ( | PTEID_RawDataType | type | ) | `[virtual]`

Return a raw data from the card.

Throw PTEID_ExFileTypeUnknown exception if the document doesn't exist for this card.

Implements eIDMW::PTEID_Card.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_Addr | ( |  | ) |

Get the Addr RawData.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_AddrSig | ( |  | ) |

Get the AddrSig RawData.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_CardInfo | ( |  | ) |

Get the Card Info RawData.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_Challenge | ( |  | ) |

Get the challenge RawData.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_Id | ( |  | ) |

Get the Id RawData.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_IdSig | ( |  | ) |

Get the IdSig RawData.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_PersoData | ( |  | ) |

Get the response RawData.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_Response | ( |  | ) |

Get the response RawData.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_Sod | ( |  | ) |

Get the Sod RawData.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_TokenInfo | ( |  | ) |

Get the Token Info RawData.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_EIDCard::getRawData_Trace | ( |  | ) |

Get the Trace RawData.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_EIDCard::getRoot | ( |  | ) |

Return the root certificate from the card.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_EIDCard::getSignature | ( |  | ) |

Return the signature certificate from the card.

PTEIDSDK_API PTEID_Sod& eIDMW::PTEID_EIDCard::getSod | ( |  | ) |

Get the sod document.

PTEIDSDK_API PTEID_CardVersionInfo& eIDMW::PTEID_EIDCard::getVersionInfo | ( |  | ) |

Get the info document.

static PTEIDSDK_API bool eIDMW::PTEID_EIDCard::isApplicationAllowed | ( |  | ) | `[static]`

Return true if the user allow the application.

virtual PTEIDSDK_API bool eIDMW::PTEID_EIDCard::isTestCard | ( |  | ) | `[virtual]`

Return true this is a test card.

virtual PTEIDSDK_API void eIDMW::PTEID_EIDCard::setAllowTestCard | ( | bool | allow | ) | `[virtual]`

Set the flag to allow the test cards.

## Friends And Related Function Documentation

PTEID_Card& PTEID_ReaderContext::getCard | ( |  | ) | `[friend]`

For internal use : This method must access protected constructor.

Reimplemented in eIDMW::PTEID_KidsCard, and eIDMW::PTEID_ForeignerCard.

The documentation for this class was generated from the following file:

- eidlib.h